har07 har07 - 1 month ago 12
Android Question

Error package `com.google.android.gms...` doesn't exist

I am new to Android development. I am learning to use Parse.com backend service and get stuck early on.

I am following tutorial to create application that uses

Google Maps Android API v2
. What I've done :


  1. download sample
    project
    from parse

  2. Import
    AnyWall-android\Anywall
    folder from downloaded project to Android Studio

  3. Rebuild project



Then I get a bunch of errors here :

import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.GooglePlayServicesClient;
import com.google.android.gms.common.GooglePlayServicesUtil;
import com.google.android.gms.location.LocationClient;
import com.google.android.gms.location.LocationListener;
import com.google.android.gms.location.LocationRequest;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap.CancelableCallback;
import com.google.android.gms.maps.GoogleMap.OnCameraChangeListener;
import com.google.android.gms.maps.SupportMapFragment;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.Circle;
import com.google.android.gms.maps.model.CircleOptions;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.LatLngBounds;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;


common
,
location
, and
maps
highlighted red. The question is how to resolve these errors?

I appreciate any kind of help or direction (What should I check? Is it about missing library? If it is, what library should I add and where to get it?)

Answer

Can't find the class com.google.android.gms.location.LocationClient (android)

There is some problem with the last GPS lib. You have to use an older version than the latest(6.+). Try with an older version. I didn't see anything inside the doc deprecated or missing about the LocationClient.class...

compile 'com.google.android.gms:play-services:5.+'

Comments